Bug 177636 - Review Request: rtorrent
Review Request: rtorrent
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
David Lawrence
:
Depends On: 177635
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-12 11:07 EST by Chris Chabot
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 04:24:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Chabot 2006-01-12 11:07:10 EST
SPEC: http://www.xs4all.nl/~chabotc/rtorrent.spec
SRPM: http://www.xs4all.nl/~chabotc/rtorrent-0.4.2-1.src.rpm

Description:

A client frontend to libtorrent, which on high-bandwidth connections it is                                                   
able to seed at 3 times the speed of the official client, using                                                              
ncurses and is ideal for use with screen or dtach. It supports                                                               
saving of sessions and allows the user to add and remove torrents and scanning                                               
of directories for torrent files to seed and/or download.     

Depends on package libtorrent which can be found in bug #177635
Comment 1 Rudolf Kastl 2006-01-13 03:48:38 EST
test build on x86_64 rawhide succeeded and spec looks good to me.
Comment 2 Hans de Goede 2006-01-14 15:03:22 EST
Things which need to be changed:
-Summary must not start with "A ..." remove "A .."
-.so Requires are picked up by rpm automaticly, remove explicit requires
-rtorrent.rc.example should be installed with 644 not 664

Possible improvements:
-I would change "A client frontend to libtorrent" to "BitTorrent client using
 libtorrent"

Formal Review:
MUST review items:
- Builds cleanly on FC5 devel.
- rpmlint has no output / complaints
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (GPL) is fedora extra's compatible & is included in spec
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- All build dependencies are listed
- Proper use of ldconfig
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed

Should items:
- Includes upstream licence file (COPYING)
- No insane scriplets, or scriplets at all
- No unnescesarry requires

Looks good to me, changing blockerbug to FE-ACCEPT assuming that you will fix
all items listed under "Things which need to be changed".
Comment 3 Chris Chabot 2006-01-14 15:33:34 EST
* Sat Jan 14 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.4.2-2                 
                         
- Improved summary & description                                               
                         
- Removed explicit requires, leaving to rpm                                    
                         
- Changed mode of rtorrent.rc.example to 644 

New urls:
SPEC: http://www.xs4all.nl/~chabotc/rtorrent.spec
SRPM: http://www.xs4all.nl/~chabotc/rtorrent-0.4.2-2.src.rpm

Thanks!
Comment 4 Hans de Goede 2006-01-14 15:52:29 EST
Really changing to FE-ACCEPT (forgot that last time). Approved, but please look
over the description again the sentences aren't fluid.
Comment 5 Chris Chabot 2006-01-14 16:18:28 EST
Thanks! Changed the description around a littlebit to make it a bit more fluid,
that will teach me to use the description from the upstream homepage :-)
Comment 6 Chris Chabot 2006-01-16 04:24:45 EST
Build cleanly for FC5 extra's. other brances pending CVSSync. Closing bug with
NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.